Page MenuHomePhabricator

Switch to using the new validator framework for Dissemin project
Closed, ResolvedPublic

Description

Request - https://phabricator.wikimedia.org/T204568#4971934

  • Confirm with community
  • Submit / patch
  • Deploy on Translatewiki.net

Validators to be added are summarized here. Summary,

  1. %d, %s
  2. %(doctype)s, %(deposit_url)s, %(year)d
  3. {{PLURAL:GETTEXT|%s paper found|%s papers found}}
  4. Ensure source and translation match in terms of starting / ending with newlines.

Plural validators will be added as part of a separate task.

Event Timeline

abi_ created this task.Aug 30 2019, 3:39 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptAug 30 2019, 3:39 PM

This task has been created to break down the parent task T224025: Migrate a few projects to the new Validator framework into smaller tasks project level task.

Change 533627 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add the NewlineMatch validator to Dissemin

https://gerrit.wikimedia.org/r/533627

abi_ triaged this task as Normal priority.Aug 31 2019, 11:30 AM

Change 536034 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Enable GettextPlural validator for Dissemin

https://gerrit.wikimedia.org/r/536034

Change 536034 merged by jenkins-bot:
[translatewiki@master] Enable GettextPlural validator for Dissemin

https://gerrit.wikimedia.org/r/536034

Change 533627 merged by jenkins-bot:
[translatewiki@master] Add the GettextNewline validator to Dissemin

https://gerrit.wikimedia.org/r/533627

Change 537656 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Revert "Revert "Enable GettextPlural validator for Dissemin""

https://gerrit.wikimedia.org/r/537656

Change 537656 merged by jenkins-bot:
[translatewiki@master] Revert "Revert "Enable GettextPlural validator for Dissemin""

https://gerrit.wikimedia.org/r/537656

Change 537659 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Fix number of values in array returned from pluralFormCountCheck

https://gerrit.wikimedia.org/r/537659

Change 537659 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix number of values in array returned from pluralFormCountCheck

https://gerrit.wikimedia.org/r/537659

abi_ closed this task as Resolved.Sep 18 2019, 4:37 PM

All the validators have been implemented and deployed on Translatewiki.net. Please see screenshots below,

%s / %d variable validator

%(variable)type variable validator

Newline validator

Plural validator

abi_ updated the task description. (Show Details)Sep 18 2019, 4:38 PM